curl --request POST \
--url https://api.together.xyz/v1/compute/clusters/{cluster_id}/instances/{instance_id}/remediations/{remediation_id}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"cluster_id": "<string>",
"instance_id": "<string>",
"mode": "REMEDIATION_MODE_VM_ONLY",
"trigger": "REMEDIATION_TRIGGER_MANUAL",
"state": "PENDING_APPROVAL",
"reason": "<string>",
"active_health_check_run_id": "<string>",
"passive_health_check_event_id": "<string>",
"requested_by": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>",
"review_time": "2023-11-07T05:31:56Z",
"review_comment": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"update_time": "2023-11-07T05:31:56Z"
}Cancels a pending remediation.
Only remediations in PENDING_APPROVAL or PENDING state can be cancelled.
curl --request POST \
--url https://api.together.xyz/v1/compute/clusters/{cluster_id}/instances/{instance_id}/remediations/{remediation_id}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"cluster_id": "<string>",
"instance_id": "<string>",
"mode": "REMEDIATION_MODE_VM_ONLY",
"trigger": "REMEDIATION_TRIGGER_MANUAL",
"state": "PENDING_APPROVAL",
"reason": "<string>",
"active_health_check_run_id": "<string>",
"passive_health_check_event_id": "<string>",
"requested_by": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>",
"review_time": "2023-11-07T05:31:56Z",
"review_comment": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"update_time": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Remediation mode specifies how the remediation should be performed.
REMEDIATION_MODE_VM_ONLY: Deletes the VM and provisions a new one on any available host.REMEDIATION_MODE_HOST_AWARE: Cordons the host, deletes the VM, and provisions a new one on a different host.REMEDIATION_MODE_VM_ONLY, REMEDIATION_MODE_HOST_AWARE RemediationTrigger specifies how the remediation was triggered.
REMEDIATION_TRIGGER_MANUAL: A user-initiated remediation (either via web UI or API call).REMEDIATION_TRIGGER_AUTOMATED: A system-initiated remediation that requires approval.REMEDIATION_TRIGGER_MANUAL, REMEDIATION_TRIGGER_AUTOMATED RemediationState represents the lifecycle state of a remediation.
PENDING_APPROVAL: Awaiting approval before processing can begin.PENDING: Approved and queued for processing.RUNNING: Actively being processed.SUCCEEDED: Successfully completed.FAILED: Failed with an error.CANCELLED: Cancelled by user or system.AUTO_RESOLVED: The underlying issue was automatically resolved before processing.PENDING_APPROVAL, PENDING, RUNNING, SUCCEEDED, FAILED, CANCELLED, AUTO_RESOLVED User-provided reason for the remediation.
Active health check run ID (UUID) that triggered this remediation.
Passive health check event ID that triggered this remediation.
Who requested the remediation.
When the remediation was created.
Who reviewed the remediation.
When the remediation was reviewed.
Review comment.
When processing started.
When the remediation completed.
Error message if the remediation failed.
When the remediation was last updated.
Was this page helpful?